Foxit PDF SDK

Instance Methods | Properties | List of all members
FSDWG2PDFSettingData Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor, with parameters.

## Properties
FSDWG2PDFSettingDataDWG2PDFColorPolicy | color_policy
| The color policy used for the converted PDF document. More...
unsigned int | export_flags
| The export flags used for the converted PDF document. Please refer to values starting from FSDWG2PDFSettingDataFlagEmbededTTF and this can be one or a combination of these values It could also be 0, which means all bits in the flag are 0.
FSDWG2PDFSettingDataDWG2PDFExportHatchesType | export_hatches_type
| The type of solid hatches export. More...
FSDWG2PDFSettingDataDWG2PDFExportHatchesType | gradient_export_hatches_type
| The type of gradient hatches export. More...
BOOL | is_active_layout
| YES means to export the active layout only, while NO means not. Default value: NO.
BOOL | is_output_progress
| A boolean value which indicates whether to output progress logs. YES means to output progress logs, and NO means not. Default value: YES.
FSDWG2PDFSettingDataDWG2PDFExportHatchesType | other_export_hatches_type
| The type of other (non-solid) hatches export. More...
NSString * | output_author
| The author for the output PDF document, an empty string will be used as default.
NSString * | output_creator
| The creator for the output PDF document, an empty string will be used as default.
NSString * | output_keywords
| The keywords for the output PDF document, an empty string will be used as default.
NSString * | output_producer
| The producer for the output PDF document, an empty string will be used as default.
NSString * | output_subject
| The subject for the output PDF document, an empty string will be used as default.
NSString * | output_title
| The title for the output PDF document, an empty string will be used as default.
float | paper_height
| The paper height used for the converted PDF document. More...
float | paper_width
| The paper width used for the converted PDF document. More...
SWIGTYPE_p_void * | progress_callback
| A pointer to a object which is used to receive the progress of converting DWG to PDF. This parameter can be nil.
FSDWG2PDFSettingDataDWG2PDFSearchableTextType | searchable_text_type
| The type of search text type. More...

## Detailed Description

This class represents settings used for converting DWG to PDF. This would be used in class FSConvert .

See also
  FSConvert

## Property Documentation

## ◆ color_policy

- (FSDWG2PDFSettingDataDWG2PDFColorPolicy) color_policy
| read write nonatomic assign

The color policy used for the converted PDF document.

It use FSDWG2PDFSettingDataDWG2PDFColorPolicyNoPolicy as the default value of this option. Please refer to values starting from FSDWG2PDFSettingDataDWG2PDFColorPolicyNoPolicy and this should be one of these values.

## ◆ export_hatches_type

- (FSDWG2PDFSettingDataDWG2PDFExportHatchesType) export_hatches_type
| read write nonatomic assign

The type of solid hatches export.

It use FSDWG2PDFSettingDataDWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from FSDWG2PDFSettingDataDWG2PDFExportHatchesTypeBitmap and this should be one of these values.

## ◆ gradient_export_hatches_type

- (FSDWG2PDFSettingDataDWG2PDFExportHatchesType) gradient_export_hatches_type
| read write nonatomic assign

The type of gradient hatches export.

For this option, only FSDWG2PDFSettingDataDWG2PDFExportHatchesTypeBitmap and FSDWG2PDFSettingDataDWG2PDFExportHatchesTypeDrawing are supported. It use FSDWG2PDFSettingDataDWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from FSDWG2PDFSettingDataDWG2PDFExportHatchesTypeBitmap and this should be one of these values

## ◆ other_export_hatches_type

- (FSDWG2PDFSettingDataDWG2PDFExportHatchesType) other_export_hatches_type
| read write nonatomic assign

The type of other (non-solid) hatches export.

For this option, only FSDWG2PDFSettingDataDWG2PDFExportHatchesTypeBitmap and FSDWG2PDFSettingDataDWG2PDFExportHatchesTypeDrawing are supported. It use FSDWG2PDFSettingDataDWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from FSDWG2PDFSettingDataDWG2PDFExportHatchesTypeBitmap and this should be one of these values

## ◆ paper_height

- (float) paper_height
| read write nonatomic assign

The paper height used for the converted PDF document.

This option can be used if layout geometry will be zoomed to paper size(FSDWG2PDFSettingDataFlagZoomToExtentsMode are enabled by export_flags). It use the default value 297.0f. this values are in millimeters.

## ◆ paper_width

- (float) paper_width
| read write nonatomic assign

The paper width used for the converted PDF document.

This option can be used if layout geometry will be zoomed to paper size(FSDWG2PDFSettingDataFlagZoomToExtentsMode are enabled by export_flags). It use the default value 210.0f. this values are in millimeters.

## ◆ searchable_text_type

- (FSDWG2PDFSettingDataDWG2PDFSearchableTextType) searchable_text_type
| read write nonatomic assign

The type of search text type.

This option can be used if SHX or TTF text exported as geometry(FSDWG2PDFSettingDataFlagTTFTextAsGeometry and FSDWG2PDFSettingDataFlagSHXTextAsGeometry are enabled by export_flags). It use FSDWG2PDFSettingDataDWG2PDFSearchableTextTypeNoSearch as the default value of this option. Please refer to values starting from FSDWG2PDFSettingDataDWG2PDFSearchableTextTypeNoSearch and this should be one of these values.